<?php
/**
 *
 * @category        modules
 * @package         Smart Image
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @requirements    PHP 7.0 and higher
 * @version         0.1.2
 * @lastmodified    July 23, 2020
 *
 */
 
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

if(!file_exists(WB_PATH.'/modules/simage/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/simage/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/simage/languages/'.LANGUAGE.'.php');
}
require_once( __DIR__ .'/functions.php');

// Setup template object
$template = new Template(WB_PATH.'/modules/simage');
$template->set_file('page', 'modify.htt');
$template->set_block('page', 'main_block', 'main');


// Get page content
$query = "SELECT * FROM `".TABLE_PREFIX."mod_simage` WHERE `section_id` = '$section_id'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$title = ($settings['title']);
$alt = ($settings['alt']);
$width = ($settings['maxwidth']);
$class = ($settings['class']);
$openlink = ($settings['openlink']);
$filename = ($settings['filename']);

$openlink = '<select name="openlink"><option '.($openlink == '1'?'selected ':'').'value="1">'.$MH['YES'].'</option><option '.($openlink == '0'?'selected ':'') .'value="0">'.$MH['NO'].'</select>';

$basedir = WB_PATH.MEDIA_DIRECTORY.'/simage/'.$section_id.'/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/simage/'.$section_id.'/';

$filebase ='';
$fileext ='';

if ($filename!='') {
	$path_parts = pathinfo($basedir.$filename);
	$filebase = $path_parts['filename'];
	$fileext = $path_parts['extension'];
}

$image = '';
$imglist = '';
$oimg='';

if ($filebase!='' && file_exists($basedir.$filebase.'.'.$fileext)) {

	$imgsize = @getimagesize($basedir.$filebase.'.'.$fileext);
	$size = $imgsize[0];
	$image = $baseurl.$filebase.'.'.$fileext;
	$imglist .= '<div style="display:block;vertical-align:top;max-width:350px;margin:0 3px;text-align:center;"><strong>Original image - '.$size.'px</strong><br><a href="'.$image.'" target="_blank"><img style="max-width:350px;margin:0 3px;" src="'.$image.'" alt="" title="'.$size.'"></div>'; 
	$oimg = '<div style="display:inline-block;vertical-align:top;max-width:250px;margin:0 3px;text-align:center;"><img style="max-width:250px;margin:0 3px;" src="'.$image.'" alt="" title="'.$filebase.'"></div>'; 



foreach($sizes as $size) {
	if (file_exists($basedir.$filebase.'-'.$size.'.'.$fileext)) {
		$image = $baseurl.$filebase.'-'.$size.'.'.$fileext;
		$imglist .= '<div style="display:inline-block;vertical-align:top;max-width:250px;margin:0 3px;text-align:center;"><strong>Image - '.$size.'px</strong><br><a href="'.$image.'" target="_blank"><img style="max-width:250px;margin:0 3px;" src="'.$image.'" alt="" title="'.$size.'"></a></div>'; 
		$oimg = '<div style="display:inline-block;vertical-align:top;max-width:250px;margin:0 3px;text-align:center;"><img style="max-width:250px;margin:0 3px;" src="'.$image.'" alt="" title="'.$filebase.'"></div>'; 

	}
}
}

// Insert vars
$template->set_var(array(
								'PAGE_ID' => $page_id,
								'SECTION_ID' => $section_id,
								'WB_URL' => WB_URL,
								'TITLE' => htmlspecialchars($title),
								'ALT' => htmlspecialchars($alt),
								'CLASS' => htmlspecialchars($class),
								'WIDTH' => $width,
								'OPENLINK' => $openlink,
								'TEXT_YES' => $MH['YES'],
								'TEXT_NO' => $MH['NO'],
								'TEXT_SAVE' => $TEXT['SAVE'],
								'TEXT_CANCEL' => $TEXT['CANCEL'],
								'TEXT_SIMAGE' => $MH['SIMAGE'],
								'TEXT_SETTINGS' => $MH['SETTINGS'],
								'TEXT_UPLOAD' => $MH['UPLOAD'],
								'TEXT_TITLE' => $MH['TITLE'],
								'TEXT_ALT' => $MH['ALT'],
								'TEXT_WIDTH' => $MH['WIDTH'],
								'TEXT_CLASS' => $MH['CLASS'],
								'TEXT_CLASS_HELP' => nl2br($MH['CLASS_HELP']),
								'TEXT_OPEN' => $MH['OPEN'],
								'TEXT_OPEN_HELP' => $MH['OPEN_HELP'],
								'FILE' => $MH['FILE'],
								'CURRENT' => $MH['CURRENT'],
								'UPLOADING' => $MH['UPLOADING'],
								'IMAGE' => $oimg,
								'IMAGES' => $imglist
								)
						);

// Parse template object
$template->parse('main', 'main_block', false);
$template->pparse('output', 'page');

?>