<?php
/**
 *
 * @category        modules
 * @package         Smart Image
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @requirements    PHP 7.0 and higher
 * @version         0.1.2
 * @lastmodified    July 23, 2020
 *
 */

require('../../config.php');
require_once (WB_PATH.'/framework/functions.php');
require(WB_PATH.'/modules/admin.php');
require( __DIR__ .'/functions.php');

$update_when_modified = true; 
set_time_limit ( 600 );
$message = '';

if(isset($_POST['section_id'])) {

	$alt = $database->escapeString($_POST['alt']);
	$title = $database->escapeString($_POST['title']);
	$width = (int)$_POST['width'];
	$openlink = (int)$_POST['openlink'];
	$class = $database->escapeString($_POST['class']);

	$query = "UPDATE `".TABLE_PREFIX."mod_simage` SET 
			`title` = '$title', 
			`alt` = '$alt', 
			`maxwidth` = '$width',
			`openlink` = '$openlink',
			`class` = '$class'
			WHERE `section_id` = '$section_id'";
	$database->query($query);	

	$basedir = WB_PATH.MEDIA_DIRECTORY.'/simage/';
	make_dir($basedir);
	$basedir .= $section_id.'/';
	make_dir($basedir);
	if($filename = simage_upload ( 'image-'.$section_id, $basedir, $width,  $message )) {
		$query = "UPDATE `".TABLE_PREFIX."mod_simage` SET `filename` = '$filename' WHERE `section_id` = '$section_id'";
		$database->query($query);	
	}
	// echo $message;
	
}
// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES_SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
$admin->print_footer();

//if(!function_exists('simage_upload')) {
	function simage_upload ($fieldname, $pathToFolder, $width, &$message) {
		global $sizes;
		$message = '';
		if(isset($_FILES[$fieldname]['tmp_name']) AND $_FILES[$fieldname]['tmp_name'] != '') {
			$filename = $_FILES[$fieldname]['name'];
			
			$path_parts = pathinfo($filename);
			$filebase = $path_parts['filename'];
			$filebase = str_replace(' ','-',$filebase);
			$fileext = $path_parts['extension'];
			if(!in_array(strtolower($fileext), array('jpg','jpeg','gif','png'))) {
				$message = "Error: ".$filename. ' is invalid. Only .jpg, .jpeg, .gif or .png are allowed!';
				return false;
			}
			// delete current contents
			rm_full_dir($pathToFolder, true) ;
			$message = "Saving: ".$filename.'<br>';
			$org_filename = $pathToFolder.$filename;
			move_uploaded_file($_FILES[$fieldname]['tmp_name'], $org_filename);
			change_mode($org_filename);
			if (file_exists($org_filename)) {

				$message .= "Saving: - ".$org_filename.' - sized<br>';
				simage_image_resize ( $org_filename, $org_filename, $width);

				foreach($sizes as $size) {
					if($width > $size) {
						$new_filename = $pathToFolder.$filebase.'-'.$size.'.'.$fileext;
						$message .= "Saving: - ".$new_filename.'<br>';
						simage_image_resize ( $org_filename, $new_filename, $size);
					}
				}
			}
			return $filename;
			
			// Make sure the image is a jpg or png file

		}
		return false;
	}
//}
