<?php
/**
 *
 * @category        modules
 * @package         Smart Image
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @requirements    PHP 7.0 and higher
 * @version         0.1.2
 * @lastmodified    July 23, 2020
 *
 */

if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require_once( __DIR__ .'/functions.php');

$get_settings = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_simage` WHERE `section_id` = '$section_id'");
$settings = $get_settings->fetchRow();
$title = ($settings['title']);
$alt = ($settings['alt']);
$width = ($settings['maxwidth']);
$class = ($settings['class']);
$openlink = ($settings['openlink']);
$filename = ($settings['filename']);

$simage_link_class = "simage_link";
if (defined('WBCE_VERSION')) {
	$simage_link_class.=' colorbox';
}

$basedir = WB_PATH.MEDIA_DIRECTORY.'/simage/'.$section_id.'/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/simage/'.$section_id.'/';
$image = '';

if ($filename!='') {
	$path_parts = pathinfo($basedir.$filename);
	$filebase = $path_parts['filename'];
	$fileext = $path_parts['extension'];
}

$srcset = '';
$img = $filename;
if(file_exists($basedir.$img)) {
	$fs = filesize($basedir.$img);
	$image = $baseurl.$img;
	$srcset .= $baseurl.$img.' '.$width.'w, ';
	$srcset .= get_scrset($basedir, $baseurl, $filebase, $fileext);
}  else {
	$image = $baseurl.'missing';
}

if($image) {
	echo '<div class="simage si-'.$section_id.'">'; 
	if($openlink) echo '<a target="_blank" class="'.$simage_link_class.'" href="'.$image.'" title="'.$title.'">';
	echo '<img class="'.$class.'" srcset="'.$srcset.'" src="'.$image.'" style="width:'.$width.'px;" alt="'.$alt.'" title="'.$title.'">';
	if($openlink) echo '</a>';
	echo "</div>"; 
}